.navbar-logo-small {
  @media (min-width: $md-breakpoint) {
    display: none;
  }
}

.navbar-logo-medium {
  display: none;

  @media (min-width: $md-breakpoint) {
    display: block;
  }
}

.navbar,
.mobile-navbar {
  background-color: $white;

  a {
    font-weight: bold;
    color: $black;
    text-decoration: none;
  }

  .navbar-logo-small,
  .navbar-logo-medium {
    float: left;
    margin: 0 1rem 0 0;
  }

  .site-title,
  nav {
    display: block;
    float: left;
  }

  .site-title,
  nav ul li a {
    padding: 1rem;
    display: block;
    line-height: 45px;
  }

  nav {
    float: right;

    ul {
      margin: 0;

      li {
        display: inline-block;

        a {
          position: relative;

          &:after {
            display: none;
            content: "";
            position: absolute;
            bottom: 30%;
            left: 1rem;
            width: calc(100% - (2rem));
            border-bottom: 4px solid $green;
          }
        }

        &.active a:after,
        &:hover a:after {
          display: block;
        }
      }
    }
  }

  @media(max-width: $lg-breakpoint) {
    .container {
      padding: 0;
    }

    nav {
      display: block;
      width: 100%;
      right: -100%;

      ul li {
        display: block;

        a {
          display: inline;
        }
      }
    }
  }
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;

  .mobile-navbar-toggle {
    display: none;
    position: absolute;
    right: 0;
    padding: 28px;
    cursor: pointer;

    svg {
      fill: $green-lighter;

      &:hover {
        fill: $green;
      }
    }
  }
}

.mobile-navbar {
  display: none;
}

@media(max-width: $lg-breakpoint) {
  .mobile-navbar-enabled {
    #content,
    #footer {
      position: relative;
      left: 0;
    }

    .mobile-navbar-toggle {
      display: block;
    }

    .navbar nav {
      display: none;
    }

    .mobile-overlay {
      display: none;
      position: absolute;
      width: 100%;
      height: 100%;
      background-color: $black;
      opacity: .1;
      left: 0;
      top: 0;
      cursor: pointer;
    }

    .mobile-navbar {
      display: block;
      position: fixed;
      top: 0;
      right: -200px;
      width: 200px;
      z-index: 2;
      padding: 0;

      .site-title {
        width: 100%;

        span {
          display: none;
        }
      }

      .mobile-navbar-toggle {
        display: none;
      }

      nav a:after {
        bottom: 20%;
      }
    }

    #content,
    #footer,
    .navbar {
      transition: left 0.3s ease,
    }

    .mobile-navbar {
      transition: right 0.3s ease;
    }

    &.open {
      overflow: hidden;
      // move content and navbar left
      #content,
      #footer,
      .navbar {
        left: -200px;
      }
      // show mobile navbar
      .mobile-navbar {
        right: 0px;
      }
      // show the content overlay
      .mobile-overlay {
        display: block;
      }
    }
  }
}
